using System;
using System.ComponentModel;
using System.Web.UI.WebControls;

namespace ImageButtonHover
{
    /// <summary>
    /// Written By S. Enes Pekkaya
    /// 
    /// Http://www.enespekkaya.com
    /// </summary>
    public class ExtendedImageButton : ImageButton
    {
        [Browsable(true)]
        public virtual string HoverImageUrl
        {
            get
            {
                object obj2 = this.ViewState["HoverImageUrl"];

                if (obj2 != null && !string.IsNullOrEmpty(obj2.ToString()))
                {
                    return (string)obj2;
                }
                return String.Empty;
            }
            set
            {
                this.ViewState["HoverImageUrl"] = value;

                this.Attributes["onmouseover"] = "this.src='" + ResolveUrl(this.HoverImageUrl) + "';";
                this.Attributes["onmouseout"] = "this.src='" + ResolveUrl(this.ImageUrl) + "';";
            }
        }
    }
}

